<?php
// 註冊或查詢你的 API Keys: https://www.google.com/recaptcha/admin
$siteKey = '你的 Site key';

// 所有支援的語系: https://developers.google.com/recaptcha/docs/language
$lang = 'zh-TW';
?>

<!DOCTYPE html>
<html lang="zh-Hant-TW">
<head>
    <meta charset="UTF-8">
    <title>Ajax JavaScript | reCAPTCHA 範例</title>
    
    <script type="text/javascript" src="https://www.google.com/recaptcha/api.js?hl=<?php echo $lang; ?>&onload=onloadCallback&render=explicit" async defer></script>
    <script type="text/javascript">
    var verifyCallback = function(response) {
        // 如果 JavaScript 驗證成功
        if (response) {
            // 發送 Ajax 查詢請求並處理
            var request = new XMLHttpRequest();
            request.open("POST", "captcha.php");

            // POST 參數須使用 send() 發送
            var data = "g-recaptcha-response=" + response;

            // POST 請求必須設置表頭在 open() 下面，send() 上面
            request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
            request.send(data);

            request.onreadystatechange = function() {
                // 伺服器請求完成
                if (request.readyState === 4) {
                    // 伺服器回應成功
                    if (request.status === 200) {
                        var type = request.getResponseHeader("Content-Type");   // 取得回應類型

                        // 判斷回應類型，這裡使用 JSON
                        if (type.indexOf("application/json") === 0) {   
                            var data = JSON.parse(request.responseText);
                            var success = document.getElementById('success');

                            // 如果 PHP 驗證成功
                            if (data.success) success.innerHTML = '驗證成功';
                            else success.innerHTML = '驗證失敗';
                        }
                    } else {
                        alert("發生錯誤" + request.status);
                    }
                }
            }
        }
    };

    /*
     * recaptcha API 參考 https://developers.google.com/recaptcha/docs/display
     */
    var onloadCallback = function() {
        grecaptcha.render(
            'my-widget', {                              // widget 驗證碼視窗在 id="my-widget" 顯示
                'sitekey' : '<?php echo $siteKey; ?>',  // API Key
                'callback' : verifyCallback,            // 要呼叫的回調函式
                'theme' : 'dark'                        // 主題
            }
        );
    };
    </script>

    <!-- Google reCAPTCHA icon -->
    <link rel="shortcut icon" href="//www.gstatic.com/recaptcha/admin/favicon.ico" type="image/x-icon"/>
</head>
<body>
    
    <!-- 顯示驗證成功與否 -->
    <h1 id="success"></h1>

    <!-- reCAPTCHA 小工具出現的位置 -->
    <!-- POSTs back to the page's URL upon submit with a g-recaptcha-response POST parameter. -->
    <div id="my-widget"></div>

</body>
</html>