<!DOCTYPE html>
<html lang="zh-Hant-TW">
<head>
    <meta charset="UTF-8">
    <title>傳統表單 | reCAPTCHA 範例 - 接收</title>

    <!-- Google reCAPTCHA icon -->
    <link rel="shortcut icon" href="//www.gstatic.com/recaptcha/admin/favicon.ico" type="image/x-icon"/>
</head>
<body>
    
    <h1>reCAPTCHA 範例 - 接收</h1>

    <?php
    require_once __DIR__ . '/includes/recaptcha/autoload.php';

    // 註冊或查詢你的 API Keys: https://www.google.com/recaptcha/admin
    $secret = '你的 Secret key';

    if (isset($_POST['g-recaptcha-response'])) {
        $recaptcha = new \ReCaptcha\ReCaptcha($secret);
        // 確認驗證碼與 IP
        $resp = $recaptcha->verify($_POST['g-recaptcha-response'], $_SERVER['REMOTE_ADDR']);

        $var = var_export($_POST, true);

        echo '
    <h2>POST data</h2>
    <pre>' . $var . '</pre>';

        // 確認正確
        if ($resp->isSuccess()) {
            echo '
    <h2>Success!</h2>
    <p>確認正確</p>
    <a href="index.php">在試一次</a>';
        }
        // 確認失敗
        else {
            echo '
    <h2>確認失敗</h2>
    <p>返回以下錯誤。</p>';

            foreach ($resp->getErrorCodes() as $code) {
                echo '<p>' . $code . '</p> ';
            }

            echo '
    <p>檢查引用的錯誤代碼 <a href="https://developers.google.com/recaptcha/docs/verify#error-code-reference">https://developers.google.com/recaptcha/docs/verify#error-code-reference</a>。</p>
    <p><strong>Note:</strong> 程式錯誤，使用者沒有完成 reCAPTCHA 驗證碼。</p>
    <a href="index.php">在試一次</a>';
        }
    }
    ?>

</body>
</html>